package org.jconfig.items;

/**
 *  <p>package:    org.jconfig.items</p>
 *  <p>file:       ItemAttr.java</p>
 * $Id: ItemAttr.java 274 2004-04-19 08:12:45Z tgl $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 *	Item Attribute storage class
 * </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0
 */
public class ItemAttr extends java.lang.Object {
    
    /** Attribute name */
    private     String      name;
    /** Attribute value */
    private     String      value;
    
    /** Creates a new instance of ItemAttr */
    public ItemAttr(String n, String v) {
        name = new String(n);
        value = new String(v);
    }
    
    /** Get the attribute value 
     *  @return attribute value
    */
    public String getValue() {
        return new String(value);
    }

    /** Set the attribute value 
     *  @paranm val new attribute value
    */
    public void setValue(String val) {
        value = new String(val);
    }

    /** Get the name
     *  @return attribute name
    */
    public String getName() {
        return new String(name);
    }
}
