package org.jvisu.panel.configurator;

import java.awt.*;
import java.beans.*;
import javax.swing.*;
import org.jvisu.base.*;
import org.jvisu.panel.*;

/**
 *  <p>package:    org.jvisu.panel.configurator</p>
 *  <p>file:       JVConvertBeanToXML.java</p>
 * $Id: JVConvertBeanToXML.java 275 2004-04-19 08:20:55Z tgl $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>g
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 * </p>
 *  Helper, as I am too lazy to hack all the properties into xml by hand
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0
 */
public class JVConvertBeanToXML {
  
    public static void BeanToXML(JVPanelTreeToXML encoder, JComponent comp) {

        BeanInfo info;
        try {
            info = Introspector.getBeanInfo(comp.getClass());
        } catch (IntrospectionException e) {
            System.err.println(e);
            return;
        }
        PropertyDescriptor[] props = info.getPropertyDescriptors();
        if (props == null) {
            System.err.println ("No properties");
            return;
        }
        // Run through the properties
        for (int i = 0; i < props.length; i++) {
            if (props[i].getWriteMethod() == null)
                continue;    
            if (props[i].getReadMethod() == null)
                continue;    
                
            encoder.writeTagStart("property");
            encoder.writeTagAttribute("name", props[i].getName());
            encoder.writeTagAttribute("category", "Standard");
            encoder.writeTagEnd(false);
            encoder.writeEndTag("property", true);
        }   
    }
    
    /** Main method for standalone testing */
    public static void main(String args[]) {
        if (args.length == 0)
            System.exit(-1);
        JVPanelTreeToXML encoder = new JVPanelTreeToXML();
        JComponent comp = org.jvisu.panel.JVBasePanel.createComponent(args[0]);
        encoder.writeTagStart("bla");
        encoder.writeTagEnd(false);
        encoder.writeTagStart("component");
        encoder.writeTagAttribute("object", comp.getClass().getName());
        encoder.writeTagEnd(false);
        BeanToXML(encoder, comp);
        encoder.writeEndTag("component", true);
        encoder.writeEndTag("bla", true);
        System.out.println(encoder.GetString());
        System.exit(0);
    }            
    
}
